JsonDataBindingSourceCreator (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.binding.bindingsource

## [Groovy] Class JsonDataBindingSourceCreator

- org.codehaus.groovy.grails.web.binding.bindingsource.JsonDataBindingSourceCreator

- Creates DataBindingSource objects from JSON in the request body

  Authors:
    Jeff Brown
    Graeme Rocher
  See Also:
    DataBindingSource
    DataBindingSourceCreator
  Since:
    2.3

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `JsonDataBindingSourceCreator.JsonArrayList` |
    `class` | `JsonDataBindingSourceCreator.JsonObjectMap` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `com.google.gson.Gson` | `gson`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
    `protected DataBindingSourceCreationException` | `createBindingSourceCreationException(java.lang.Exception e)`
    `protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.Reader reader)`
    `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `protected java.util.Map` | `createJsonObjectMap(com.google.gson.JsonElement jsonElement)` Returns a map for the given JsonElement.
    `MimeType[]` | `getMimeTypes()`
    `java.lang.Object` | `getValueForJsonElement(com.google.gson.JsonElement value, com.google.gson.Gson gson)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) com.google.gson.Gson gson

  - ### Method Detail

    - #### @java.lang.Override protected DataBindingSource createBindingSource(java.io.Reader reader)

    - #### @java.lang.Override protected DataBindingSourceCreationException createBindingSourceCreationException(java.lang.Exception e)

    - #### @java.lang.Override protected CollectionDataBindingSource createCollectionBindingSource(java.io.Reader reader)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### protected java.util.Map createJsonObjectMap(com.google.gson.JsonElement jsonElement)

      Returns a map for the given JsonElement. Subclasses can override to customize the format of the map

      Parameters:
        `jsonElement` - The JSON element
      Returns:
        The map

    - #### @java.lang.Override MimeType[] getMimeTypes()

    - #### java.lang.Object getValueForJsonElement(com.google.gson.JsonElement value, com.google.gson.Gson gson)